<?php

/**
 * Fired during plugin activation
 *
 * @link       https://saschapaukner.de
 * @since      1.0.0
 *
 * @package    Responsive_Block_Control
 * @subpackage Responsive_Block_Control/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Responsive_Block_Control
 * @subpackage Responsive_Block_Control/includes
 * @author     landwire <mail@saschapaukner.de>
 */
class Responsive_Block_Control_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
	    $options = [];

      $breakPoints = [];
      $breakPoints['base'] = 0;
      $breakPoints['mobile'] = 320;
      $breakPoints['tablet'] = 740;
      $breakPoints['desktop'] = 980;
      $breakPoints['wide'] = 1480;

      $options['breakPoints'] = $breakPoints;
      $options['addCssToHead'] = true;

      add_option('responsiveBlockControl', $options);
	}

}
